import * as $dara from '@darabonba/typescript';
import { ModifyIpv6GatewayAttributeResponseBody } from "./ModifyIpv6gatewayAttributeResponseBody";
export declare class ModifyIpv6GatewayAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyIpv6GatewayAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
